/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "color.h"

FL_FORM *colorform;

FL_OBJECT
        *scherm,
        *red,
        *green,
        *blue;

void create_form_colorform(void)
{
  FL_OBJECT *obj;

  if (colorform)
     return;

  colorform = fl_bgn_form(FL_NO_BOX,450,350);
  obj = fl_add_box(FL_FLAT_BOX,0,0,450,350,"Additive color mixing");
    fl_set_object_color(obj,FL_TOP_BCOL,FL_COL1);
    fl_set_object_lcolor(obj,FL_RED);
    fl_set_object_lsize(obj,FL_HUGE_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthEast);
  scherm = obj = fl_add_box(FL_DOWN_BOX,130,40,310,300,"");
    fl_set_object_color(obj,FL_BLACK,FL_BLACK);
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthEast);
  red = obj = fl_add_valslider(FL_VERT_FILL_SLIDER,10,40,30,260,"");
    fl_set_object_color(obj,FL_COL1,FL_RED);
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthWest);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,color,1);
    fl_set_slider_precision(obj, 0);
    fl_set_slider_bounds(obj, 255, 0);
    fl_set_slider_value(obj, 255);
    fl_set_slider_size(obj, 0.15);
    fl_set_slider_step(obj, 1);
    fl_set_slider_increment(obj, -1, -10);
  green = obj = fl_add_valslider(FL_VERT_FILL_SLIDER,50,40,30,260,"");
    fl_set_object_color(obj,FL_COL1,FL_GREEN);
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthWest);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,color,2);
    fl_set_slider_precision(obj, 0);
    fl_set_slider_bounds(obj, 255, 0);
    fl_set_slider_value(obj, 255);
    fl_set_slider_size(obj, 0.15);
    fl_set_slider_step(obj, 1);
    fl_set_slider_increment(obj, -1, -10);
  blue = obj = fl_add_valslider(FL_VERT_FILL_SLIDER,90,40,30,260,"");
    fl_set_object_color(obj,FL_COL1,FL_BLUE);
    fl_set_object_gravity(obj, FL_NorthWest, FL_SouthWest);
    fl_set_object_resize(obj, FL_RESIZE_NONE);
    fl_set_object_callback(obj,color,3);
    fl_set_slider_precision(obj, 0);
    fl_set_slider_bounds(obj, 255, 0);
    fl_set_slider_value(obj, 255);
    fl_set_slider_size(obj, 0.15);
    fl_set_slider_step(obj, 1);
    fl_set_slider_increment(obj, -1, -10);
  obj = fl_add_button(FL_NORMAL_BUTTON,10,310,110,30,"Quit");
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_gravity(obj, FL_SouthWest, FL_SouthWest);
  fl_end_form();

}
/*---------------------------------------*/

void create_the_forms(void)
{
  create_form_colorform();
}

